> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.zignallabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.zignallabs.com/_mcp/server.

# Get OpenAPI Spec

GET https://api.zignallabs.com/newsroom/docs

Returns the OpenAPI 3.0 specification for the Newsroom API as a YAML document.


Reference: https://docs.zignallabs.com/api-reference/data-api-newsroom/documentation/get-newsroom-docs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: zignal-data-api-newsroom
  version: 1.0.0
paths:
  /newsroom/docs:
    get:
      operationId: getNewsroomDocs
      summary: Get OpenAPI Spec
      description: >
        Returns the OpenAPI 3.0 specification for the Newsroom API as a YAML
        document.
      tags:
        - documentation
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Documentation_getNewsroomDocs_Response_200
servers:
  - url: https://api.zignallabs.com
    description: https://api.zignallabs.com
components:
  schemas:
    Documentation_getNewsroomDocs_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Documentation_getNewsroomDocs_Response_200

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "components": {
    "securitySchemes": {}
  },
  "info": {
    "description": "The Zignal Data API is a RESTful data serving layer. Allows you to access all your Mentions data, metadata and metrics available within Zignal platform and integrate it into your other business applications or products.",
    "title": "Data API - Newsroom",
    "version": "2.0.0"
  },
  "openapi": "3.0.3",
  "paths": {
    "/newsroom/docs": {
      "get": {
        "description": "Returns the OpenAPI 3.0 specification for the Newsroom API as a YAML document.\n",
        "operationId": "getNewsroomDocs",
        "responses": {
          "200": {
            "content": {
              "application/x-yaml": {
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Successful response"
          }
        },
        "security": [
          {
            "api-key-security": []
          }
        ],
        "summary": "Get OpenAPI Spec",
        "tags": [
          "Documentation"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api.zignallabs.com"
    }
  ],
  "tags": []
}
```

**SDK Code**

```python
import requests

url = "https://api.zignallabs.com/newsroom/docs"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.zignallabs.com/newsroom/docs';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.zignallabs.com/newsroom/docs"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.zignallabs.com/newsroom/docs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.zignallabs.com/newsroom/docs")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.zignallabs.com/newsroom/docs', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.zignallabs.com/newsroom/docs");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.zignallabs.com/newsroom/docs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```